package com.sqx.modules.shopping.service;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface SelfWXService {

    /**
     * 微信支付
     * @param ordersId
     * @param type
     * @return
     * @throws Exception
     */
    Map doUnifiedOrder(Long ordersId, Integer type, HttpServletRequest request) throws Exception;

    /**
     * 支付回调
     * @param resXml
     * @return
     */
    String payBack(String resXml,Integer type);

    //退款
    boolean refund(Long ordersId);

}